/* Controller.m created by fred on Thu 12-Oct-2000 */

#import "Controller.h"

@implementation Controller

- (void)dealloc
{	[itsTextField release];
	[super dealloc];
}

- (void)awakeFromNib
{	if (!itsTextFieldSuperview)
	{	itsTextFieldSuperview = [itsTextField superview];
		[itsTextField retain];
	}
}

//	Note that one should also deal with next/prev keyView when hidding/showing the control
- (IBAction)hideShow:sender
{	if ([itsTextField superview])
	{	//	Hide
		[itsTextField removeFromSuperview];
	}
	else
	{	//	Show
		[itsTextField setFrame:[itsTextFieldSuperview bounds]];
		[itsTextFieldSuperview addSubview:itsTextField];
		[itsTextField selectText:self];
	}
}

@end
